org.eclipse.net4j.signal.wrapping

## Class StreamWrapperInjector

- java.lang.Object
- - org.eclipse.net4j.signal.wrapping.StreamWrapperInjector

- All Implemented Interfaces:
    IElementProcessor
  Direct Known Subclasses:
    GZIPStreamWrapperInjector, XORStreamWrapperInjector

      public class StreamWrapperInjector
      extends java.lang.Object
      implements IElementProcessor

  An `element post processor` that injects a `stream wrapper` into `signal protocol` instances.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamWrapperInjector(java.lang.String protocolID, IStreamWrapper streamWrapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getProtocolID()`
    `IStreamWrapper` | `getStreamWrapper()`
    `protected java.lang.Object` | `inject(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, SignalProtocol<?> signalProtocol)`
    `java.lang.Object` | `process(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)`
    `protected boolean` | `shouldInject(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, SignalProtocol<?> signalProtocol)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamWrapperInjector

          public StreamWrapperInjector(java.lang.String protocolID,
                                       IStreamWrapper streamWrapper)

  - ### Method Detail

    - #### getProtocolID

          public java.lang.String getProtocolID()

    - #### getStreamWrapper

          public IStreamWrapper getStreamWrapper()

    - #### process

          public java.lang.Object process(IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `IElementProcessor`

    - #### shouldInject

          protected boolean shouldInject(IManagedContainer container,
                                         java.lang.String productGroup,
                                         java.lang.String factoryType,
                                         java.lang.String description,
                                         SignalProtocol<?> signalProtocol)

    - #### inject

          protected java.lang.Object inject(IManagedContainer container,
                                            java.lang.String productGroup,
                                            java.lang.String factoryType,
                                            java.lang.String description,
                                            SignalProtocol<?> signalProtocol)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html